Show / Hide Table of Contents

# Class StringExtensions

Extension methods for strings.

##### Inheritance

System.Object
StringExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility

###### Assembly: Dalamud.dll

##### Syntax

    public static class StringExtensions

### Methods

| Improve this Doc View Source

#### Format(String, Object[])

An extension method to chain usage of string.Format.

##### Declaration

    public static string Format(this string format, params object[] args)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | format | Format string.
System.Object[] | args | Format arguments.

##### Returns

Type | Description
--- | ---
System.String | Formatted string.

| Improve this Doc View Source

#### IsNullOrEmpty(String)

Indicates whether the specified string is null or an empty string ("").

##### Declaration

    public static bool IsNullOrEmpty(this string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | value | The string to test.

##### Returns

Type | Description
--- | ---
System.Boolean | true if the value parameter is null or an empty string (""); otherwise, false.

| Improve this Doc View Source

#### IsNullOrWhitespace(String)

Indicates whether a specified string is null, empty, or consists only of white-space characters.

##### Declaration

    public static bool IsNullOrWhitespace(this string value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | value | The string to test.

##### Returns

Type | Description
--- | ---
System.Boolean | true if the value parameter is null or an empty string (""), or if value consists exclusively of white-space characters.